SFML 2.6.2

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
IpAddress.hpp File Reference
`#include <SFML/Network/Export.hpp>`
`#include <SFML/System/Time.hpp>`
`#include <istream>`
`#include <ostream>`
`#include <string>`

Go to the source code of this file.

## Classes

class | sf::IpAddress
| Encapsulate an IPv4 network address. More...

## Namespaces

namespace | sf

## Functions

bool | sf::operator== (const IpAddress &left, const IpAddress &right)
| Overload of == operator to compare two IP addresses.
bool | sf::operator!= (const IpAddress &left, const IpAddress &right)
| Overload of != operator to compare two IP addresses.
bool | sf::operator< (const IpAddress &left, const IpAddress &right)
| Overload of < operator to compare two IP addresses.
bool | sf::operator> (const IpAddress &left, const IpAddress &right)
| Overload of > operator to compare two IP addresses.
bool | sf::operator<= (const IpAddress &left, const IpAddress &right)
| Overload of <= operator to compare two IP addresses.
bool | sf::operator>= (const IpAddress &left, const IpAddress &right)
| Overload of >= operator to compare two IP addresses.
std::istream & | sf::operator>> (std::istream &stream, IpAddress &address)
| Overload of >> operator to extract an IP address from an input stream.
std::ostream & | sf::operator<< (std::ostream &stream, const IpAddress &address)
| Overload of << operator to print an IP address to an output stream.